%global srcname Lektor
%global sum A static content management system

Name:			python-%{srcname}
Version:		2.3
Release:		2%{?dist}
Summary:		A static content management system

License:		BSD
URL:			https://github.com/lektor/lektor/
Source0:		https://files.pythonhosted.org/packages/source/L/%{srcname}/%{srcname}-%{version}.tar.gz
Source1:		LICENSE

BuildArch:		noarch

BuildRequires:	python2-devel
BuildRequires:	python-setuptools


%description
Lektor is a static website generator. It builds out an entire project
from static files into many individual HTML pages and has a built-in
admin UI and minimal desktop app.


%package -n python2-%{srcname}
Summary:		%{sum}
%{?python_provide:%python_provide python2-%{srcname}}

Requires:	python-mistune
Requires:	python-watchdog
Requires:	python-argh >= 0.26.1
Requires:	python-flask
Requires:	python-exif
Requires:	python-requests
Requires:	python-ndg_httpsclient
Requires:	python-pyasn1
Requires:	python-jinja2 >= 2.4
Requires:	python-babel
Requires:	python2-inifile
Requires:	python-click >= 6.0
Requires:	python-pathtools >= 0.1.1
Requires:	PyYAML >= 3.10

%description -n python2-%{srcname}
Lektor is a static website generator. It builds out an entire project
from static files into many individual HTML pages and has a built-in
admin UI and minimal desktop app.


%prep
%autosetup -n %{srcname}-%{version}
rm -rf %{srcname}.egg-info
cp -a %{SOURCE1} .

%build
%py2_build

%install
%py2_install

%files -n python2-%{srcname}
%doc PKG-INFO
%license LICENSE
%{python2_sitelib}/%{srcname}-*.egg-info
%{python2_sitelib}/lektor
%{_bindir}/lektor

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Jun 01 2016 Charalampos Stratakis <cstratak@redhat.com> 2.3-1
- Upgrade to version 2.3
- Use newest pypi url format

* Mon May 16 2016 Charalampos Stratakis <cstratak@redhat.com> 2.2-1
- Upgrade to version 2.2

* Mon Apr 11 2016 Charalampos Stratakis <cstratak@redhat.com> 2.0-1
- Upgrade to version 2.0

* Tue Feb 23 2016 Charalampos Stratakis <cstratak@redhat.com> 1.2.1-1
- Initial RPM release